Create filters for grid
Create a new saved filter for the selected grid.
Path Parameters
- gridId int32 required
- application/json
Request Body
Filter details to save for the selected grid.
- filterName string
Display name for the saved grid filter.
rules object[]
List of rule conditions that define the filter logic.
filterBy stringGrid field name used for this filter condition.
condition stringComparison operator used to evaluate the field value.
value stringValue to compare against for this filter condition.
associations object[]
Users and groups who can view or use this filter.
id int32This gives Id of user or user group or external user group
name stringThis gives name of user or user group or external user group
type UserAndUserGroupsTypePossible values: [
USER,USER_GROUP,EXTERNAL_USER_GROUP]Tells what kind of user or user group it is
- 200
OK
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}